aboutsummaryrefslogtreecommitdiff
path: root/share
diff options
context:
space:
mode:
authorSilvio Rhatto <rhatto@riseup.net>2019-04-30 15:05:23 -0300
committerSilvio Rhatto <rhatto@riseup.net>2019-04-30 15:05:23 -0300
commit46ce95863d28556489bc9de3f69eb6bc45d7dce7 (patch)
treedf6f4eaaab0864ec715be90a78677a32cff56816 /share
parent972a296532634c42a7b7efb626452d0192af04a2 (diff)
downloadtrashman-46ce95863d28556489bc9de3f69eb6bc45d7dce7.tar.gz
trashman-46ce95863d28556489bc9de3f69eb6bc45d7dce7.tar.bz2
Adds php7
Diffstat (limited to 'share')
-rw-r--r--share/trashman/php7/info1
-rw-r--r--share/trashman/php7/unix/linux/debian/apt.gpgbin0 -> 1769 bytes
-rwxr-xr-xshare/trashman/php7/unix/linux/debian/install21
3 files changed, 22 insertions, 0 deletions
diff --git a/share/trashman/php7/info b/share/trashman/php7/info
new file mode 100644
index 0000000..e5fb340
--- /dev/null
+++ b/share/trashman/php7/info
@@ -0,0 +1 @@
+hypertext preprocessor version 7.x
diff --git a/share/trashman/php7/unix/linux/debian/apt.gpg b/share/trashman/php7/unix/linux/debian/apt.gpg
new file mode 100644
index 0000000..d244923
--- /dev/null
+++ b/share/trashman/php7/unix/linux/debian/apt.gpg
Binary files differ
diff --git a/share/trashman/php7/unix/linux/debian/install b/share/trashman/php7/unix/linux/debian/install
new file mode 100755
index 0000000..0db691c
--- /dev/null
+++ b/share/trashman/php7/unix/linux/debian/install
@@ -0,0 +1,21 @@
+#!/usr/bin/env sh
+#
+# Install recent PHP 7.x package
+#
+
+# Parameters
+SHARE="$1"
+VERSION="7.3"
+
+# Include basic functions
+. $SHARE/trashman/functions || exit 1
+
+# Requirements
+trashman_require wget lsb-release apt-transport-https ca-certificates
+
+# Install
+#wget -O /etc/apt/trusted.gpg.d/php.gpg https://packages.sury.org/php/apt.gpg
+cp $SHARE/php7/unix/linux/debian /etc/apt/trusted.gpg.d/php.gpg
+echo "deb https://packages.sury.org/php/ `lsb_release -sc` main" | tee /etc/apt/sources.list.d/php$VERSION.list
+apt update
+apt install php$VERSION